<?php

$author = function()
{
	$array = array();
	$author = Dever::load('set/author-state');
	if($author)
	{
		$array += $author;
	}
	return $array;
};

$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};


return array
(
	# 表名
	'name' => 'course',
	# 显示给用户看的名称
	'lang' => '课程管理',
	'order' => 180,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '请输入标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),

		'author_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '作者',
			'default' 	=> '1',
			'desc' 		=> '请选择作者',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $author,
			//'search'	=> 'select',
			//'list'		=> '{author_id} > 0 ? Dever::load("set/author-one#name", {author_id}) : "未知"',
		),

		'video'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '视频地址-腾讯视频直接输入网址即可，如https://v.qq.com/x/page/j0515xuxz37.html',
			'default' 	=> '',
			'desc' 		=> '请输入视频地址',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			//'search'	=> 'fulltext',
			'list'		=> 'Dever::load("content/v1/video.html", "{video}")',
		),

		'audio'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '音频地址',
			'default' 	=> '',
			'desc' 		=> '请输入音频地址',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'num_add_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '手动增加浏览量pv',
			'default' 	=> '0',
			'desc' 		=> '请填写手动增加浏览量pv',
			'match' 	=> 'option',
			'update'	=> 'text',
		),
		
		'num_up'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '赞数',
			'default' 	=> '0',
			'desc' 		=> '请填写赞数',
			'match' 	=> 'option',
			//'search'	=> 'order',
			'list'		=> '"赞数：{num_up}<br />浏览量：{num_view}+{num_add_view}<br />观看人数：{num_watch}<br />回复数：{num_review}<br />"',
			'list_name'	=> '统计数字',
		),
		
		'num_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量pv',
			'default' 	=> '0',
			'desc' 		=> '请填写浏览量pv',
			'match' 	=> 'option',
			//'search'	=> 'order',
			//'list'		=> '{num_view}+{num_add_view}',
		),

		'num_watch'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '观看数',
			'default' 	=> '0',
			'desc' 		=> '观看数',
			'match' 	=> 'option',
			//'search'	=> 'order',
			//'list'		=> '{num_view}+{num_add_view}',
		),
		
		'num_review'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '回复数',
			'default' 	=> '0',
			'desc' 		=> '请填写回复数',
			//'search'	=> 'order',
			'match' 	=> 'option',
			//'list'		=> true,
		),
		
		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面',
			'default' 	=> '',
			'desc' 		=> '请选择封面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'top'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '头图',
			'default' 	=> '',
			'desc' 		=> '请选择头图',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-800',
			'name' 		=> '内容',
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
			'key' 		=> 1,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	# 索引
	'index' => array
	(
		
	),
	
	# 管理功能
	'manage' => array
	(
		//'insert' => false,
		# 列表
		'list_button' => array
		(
			'list' => array('评论', '"review&project=comment&search_option_source_table=1&search_option_source_id={id}&oper_parent=course&oper_project=content"'),
		),
	),
	
	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'page' => array(10, 'list'),
			'col' => 'id, name, pic, top, info_id, author_id, content, (num_view+num_add_view) as num_view,num_review,num_up,num_watch, cdate',
		),

		
		# 更新浏览量
		'addView' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_view' => array('1', '+='),
			),
		),
		
		# 更新回复数
		'addReview' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_review' => array('1', '+='),
			),
		),
		
		# 更新点赞数
		'addUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '+='),
			),
		),

		# 更新观看数
		'addWatch' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_watch' => array('1', '+='),
			),
		),
		
		# 更新点赞数
		'desUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '-='),
			),
		),
	),
);
