<?php

$author = function()
{
	$array = array();
	$author = Dever::load('set/author-state');
	if($author)
	{
		$array += $author;
	}
	return $array;
};

$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$cate = function()
{
	$array = array();
	$cate = Dever::load('content/meeting_cate-state');
	if($cate)
	{
		$array += $cate;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'meeting',
	# 显示给用户看的名称
	'lang' => '会议管理',
	'order' => 170,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '请输入标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '会议分类',
			'default' 	=> '1',
			'desc' 		=> '请选择会议分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
			'list'		=> '{cate_id} > 0 ? Dever::load("content/meeting_cate-one#name", {cate_id}) : "未知"',
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '描述',
			'default' 	=> '',
			'desc' 		=> '请输入描述',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面',
			'default' 	=> '',
			'desc' 		=> '请选择封面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'link'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '链接-填写此项则直接跳转到该链接',
			'default' 	=> '',
			'desc' 		=> '请输入标题',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'top'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '头图',
			'default' 	=> '',
			'desc' 		=> '请选择头图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'img'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '首页轮播图',
			'default' 	=> '',
			'desc' 		=> '首页轮播图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'sdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '开始时间-头部的正在进行的会议按照开始时间和结束时间判定',
			'match' 	=> 'is_numeric',
			'desc' 		=> '开始时间',
			'update'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {sdate})',
			'callback'	=> 'maketime',
		),

		'edate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '结束时间',
			'match' 	=> 'is_numeric',
			'desc' 		=> '结束时间',
			'update'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {edate})',
			'callback'	=> 'maketime',
		),

		'num'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '参会人数',
			'default' 	=> '',
			'desc' 		=> '请输入参会人数',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'num_add_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '手动增加浏览量pv',
			'default' 	=> '0',
			'desc' 		=> '请填写手动增加浏览量pv',
			'match' 	=> 'option',
			'update'	=> 'text',
		),
		
		'num_up'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '赞数',
			'default' 	=> '0',
			'desc' 		=> '请填写赞数',
			'match' 	=> 'option',
			//'search'	=> 'order',
			'list'		=> '"赞数：{num_up}<br />浏览量：{num_view}+{num_add_view}<br />回复数：{num_review}<br />"',
			'list_name'	=> '统计数字',
		),
		
		'num_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量pv',
			'default' 	=> '0',
			'desc' 		=> '请填写浏览量pv',
			'match' 	=> 'option',
			'search'	=> 'order',
			//'list'		=> '{num_view}+{num_add_view}',
		),
		
		'num_review'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '回复数',
			'default' 	=> '0',
			'desc' 		=> '请填写回复数',
			'search'	=> 'order',
			'match' 	=> 'option',
			//'list'		=> true,
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-800',
			'name' 		=> '内容',
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'option',
			'update'	=> 'editor',
			'key' 		=> 1,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	# 管理功能
	'manage' => array
	(

	),
	
	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'cate_id' => 'yes',
				'ids' => array('yes-id', '!='),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*,(num_view+num_add_view) as num_view',
		),

		'getOld' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'cate_id' => 'yes',
				'end' => array('yes-edate', '<'),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*',
		),

		'getCur' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'start' => array('yes-sdate', '<='),
				'end' => array('yes-edate', '>='),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*',
		),

		'getWei' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'start' => array('yes-sdate', '>'),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*',
		),
		# 更新浏览量
		'addView' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_view' => array('1', '+='),
			),
		),
		
		# 更新回复数
		'addReview' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_review' => array('1', '+='),
			),
		),
		
		# 更新点赞数
		'addUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '+='),
			),
		),
		
		# 更新点赞数
		'desUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '-='),
			),
		),
	),
);
