<?php
//日志记录表，暂时用mysql，后续导入到elk中。
$type = array
(
	1 => '浏览',
	2 => '更新',
);

$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'record',
	# 显示给用户看的名称
	'lang' => '日志列表',
	# 是否显示在后台菜单
	'order' => 80,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'select',
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#name", {uid}) : "匿名用户"',
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),

		'type' 		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '操作类型',
			'default' 	=> '',
			'desc' 		=> '操作类型',
			'match' 	=> 'option',
			'option' 	=> $type,
			'list'		=> true,
		),
	
		'oper'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '具体操作',
			'default' 	=> '',
			'desc' 		=> '请输入具体操作',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '内容',
			'update' 	=> 'editor',
			'key'		=> 1,
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			'list'		=> 'table',
			'modal'		=> '查看详情',
		),

		'ua'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> 'ua',
			'default' 	=> '',
			'desc' 		=> '请输入ua',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		
	),
);
