<?php
$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'wechat',
	# 显示给用户看的名称
	'lang' => '微信绑定列表',
	'order' => 10,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'order,select',
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#name", {uid}) : "未知用户"',
		),

		'openid'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'openid-微信的唯一用户id',
			'default' 	=> '',
			'desc' 		=> 'openid',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'list'		=> true,
		),

		'unionid'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'unionid-微信的唯一用户id',
			'default' 	=> '',
			'desc' 		=> 'unionid',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'list'		=> true,
		),

		'session_key'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'session_key',
			'default' 	=> '',
			'desc' 		=> 'session_key',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
