<?php

namespace Comment\Src;

use Dever;
use Content\Lib\Base;

class Watch extends Base
{
    /**
     * 观看课程
     *
     * @return mixed
     */
    public function submit()
    {
        $this->check_user();
        $course_id = Dever::input('id');
        $uid = Dever::input('uid');
        $user = Dever::load('passport/user-one', $uid);
        if ($user && $user['pic']) {
            $data = Dever::load('comment/watch-one', array('option_info_id' => $this->data['info']['id'], 'option_course_id' => $course_id,'option_uid' => $uid));

            if ($data) {
                $id = $data['id'];
                $update['set_cdate'] = time();
                $update['where_id'] = $id;
                Dever::load('comment/watch-update', $update);
            } else {
                $insert['add_course_id'] = $course_id;
                $insert['add_uid'] = $uid;
                $insert['add_info_id'] = $this->data['info']['id'];

                $id = Dever::load('comment/watch-insert', $insert);

                $count = Dever::db('comment/watch')->total(array('option_info_id' => $this->data['info']['id'], 'option_course_id' => $course_id));
                Dever::db('content/course')->update(array('set_num_watch' => $count, 'where_id' => $course_id));

                # 增加原表数据 以后要添加crontab来定时矫正数据
                //Dever::db('content/course')->addWatch($course_id);
            }
        }
        
        return 1;
    }
}
