<?php

$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$cate = function()
{
	$array = array();
	$cate = Dever::load('set/cate-mainAll');
	if($cate)
	{
		$array += $cate;
	}
	return $array;
};

$cate_child = function()
{
	$cate = Dever::load('set/cate-childAll');

	return $cate;
};

# 栏目
$search_cate = function()
{
	$array = array
	(
		-1 => array('id' => '-1', 'name' => '所有栏目'),
	);
	$cate = Dever::load('set/manage.cate');
	if($cate)
	{
		$array += $cate;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'focus',
	# 显示给用户看的名称
	'lang' => '首页焦点图',
	'order' => 50,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'subname'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '子标题',
			'default' 	=> '',
			'desc' 		=> '子标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),
		
		'cate_id_parent'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '父级栏目',
			'default' 	=> '0',
			'desc' 		=> '请选择父级栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'search'	=> 'order,select',
			//'list'		=> '{cate_id_parent} > 0 ? Dever::load("set/cate-one#name", {cate_id_parent}) : "临时栏目"',
			'option' 	=> $cate,
			# 当值改变时，执行下一步操作
			'child_name' => 'cate_id',
			'child' => $cate_child,
			'child_value' => '{cate_id}',
		),
		
		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '子栏目',
			'default' 	=> '0',
			'desc' 		=> '请选择子栏目',
			'match' 	=> 'is_numeric',
			'search'	=> 'group',
			'option' 	=> $search_cate,
			'list_name'	=> '栏目',
			'list'		=> '{cate_id} > 0 ? Dever::load("set/cate-one#name", {cate_id}) : "无子栏目"',
		),
		
		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '图片',
			'default' 	=> '',
			'desc' 		=> '图片',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'news_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '资讯id',
			'default' 	=> '',
			'desc' 		=> '资讯id',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list_name' => '资讯名称',
			'list'		=> '{news_id} > 0 ? Dever::load("content/news-one#name", {news_id}) : "未知"',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	# 索引
	'index' => array
	(
		
	),
	
	# 管理功能
	'manage' => array
	(
		
	),
	
	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'cate_id_parent' => 'yes',
				'cate_id' => 'yes',
				'cate_ids' => array('yes-cate_id', 'in'),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'limit' => '0,3',
			'col' => '*',
		),
	),
);
