<?php

$cate = function()
{
	$array = array(-1 => array('name' => '父级栏目'));
	$cate = Dever::load('set/cate-mainAll');
	if($cate)
	{
		$array += $cate;
	}
	return $array;
};
return array
(
	# 表名
	'name' => 'cate',
	# 显示给用户看的名称
	'lang' => '栏目管理',
	'order' => -1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '栏目ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '栏目名称',
			'default' 	=> '',
			'desc' 		=> '请输入栏目名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上级栏目',
			'default' 	=> Dever::input('option_cate_id', -1),
			'desc' 		=> '请选择上级栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'order,select',
			//'list'		=> '{cate_id} > 0 ? Dever::load("set/cate-one#name", {cate_id}) : "父级栏目"',
			'option' 	=> $cate,
		),

		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '首页图片',
			'default' 	=> '',
			'desc' 		=> '请选择首页图片',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		# 列表页的类型
		'list_type' => 'parent',

		'list_button' => array
		(
			'add' => array('新增子栏目', '"cate&option_cate_id={id}"', '{cate_id}<=0'),
			//6 => '删除'
		),
	),
	
	# request 请求接口定义
	'request' => array
	(		
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*',
		),

		# main 取所有主栏目
		'mainAll' => array
		(
			'where' => array
			(
				'cate_id' => -1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*|id',
		),
		
		# 取所有下级栏目
		'childAll' => array
		(
			'where' => array
			(
				'cate_id' => array('1', '>='),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*|cate_id|id|',
		),
	),
);
