<?php

$cate = function()
{
	$array = array();
	$cate = Dever::load('set/cate-mainAll');
	if($cate)
	{
		$array += $cate;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '小程序管理',
	'order' => -10,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '小程序名称',
			'default' 	=> '',
			'desc' 		=> '请输入小程序名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属栏目',
			'default' 	=> '0',
			'desc' 		=> '请选择所属栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'search'	=> 'order,select',
			'list'		=> '{cate_id} > 0 ? Dever::load("set/cate-one#name", {cate_id}) : "临时栏目"',
			'option' 	=> $cate,
		),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> 'logo图片-大小为150X150px',
			'default' 	=> '',
			'desc' 		=> '请选择logo图片',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'title'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '首页标题',
			'default' 	=> '',
			'desc' 		=> '请输入首页标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '首页头图',
			'default' 	=> '',
			'desc' 		=> '请选择首页头图',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'appid'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '小程序appid',
			'default' 	=> '',
			'desc' 		=> '小程序appid',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'secret'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '小程序secret',
			'default' 	=> '',
			'desc' 		=> '请输入小程序secret',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(

	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
