<?php

namespace Set\Src;

use Dever;
use Content\Lib\Base;

class Manage
{
	/**
     * 获取所有栏目列表
     *
     * @return mixed
     */
    public function cate()
    {
        $data = Dever::load('set/cate-mainAll');

        if ($data) {
            $child = Dever::load('set/cate-childAll');

            foreach ($data as $k => $v) {
                if (isset($child[$k])) {
                    $data[$k]['child'] = $child[$k];
                }
            }
        }

        return $data;
    }

    public function load($type, $id)
    {
        $base = new Base(2);
        $table = $base->type($type);
        $data = Dever::db($table)->one($id);
        if ($type == 4 && $data && isset($data['content'])) {
            return $data['content'];
        }

        return $data['name'];
    }
}
